@mixin make-flex-justify($s) {
    #{$s}justify- {
        &center {
            justify-content: center;
        }
        &start {
            justify-content: flex-start;
        }
        &end {
            justify-content: flex-end;
        }
        &around {
            justify-content: space-around;
        }
        &between {
            justify-content: space-between;
        }
        &evenly {
            justify-content: space-evenly;
        }
        &items-{
            &auto{
                justify-items: auto;
            }
            &start{
                justify-items: start;
            }
            &end{
                justify-items: end;
            }
            &center{
                justify-items: center;
            }
            &stretch{
                justify-items: stretch;
            }
        }
        &self-{
            &a{
                justify-self: auto;
            }
            &start{
                justify-self: start;
            }
            &end{
                justify-self: end;
            }
            &center{
                justify-self: center;
            }
            &stretch{
                justify-self: stretch;
            }
        }
    }
}